Summary: KDE Frameworks 5 library that wraps Client and Server Wayland libraries
Name:    kf5-kwayland
Version: 5.110.0
%global  majmin %majmin_ver_kf5
%global  stable %stable_kf5
Release: 1%{?dist}
License: GPLv2+
URL:     https://invent.kde.org/frameworks/kwayland
Source0: http://download.kde.org/%{stable}/frameworks/%{majmin}/kwayland-%{version}.tar.xz
BuildRequires:  make, extra-cmake-modules >= %{version}, kf5-rpm-macros >= %{version}
BuildRequires:  qt5-qtbase-devel, qt5-qtbase-private-devel, qt5-qtbase-static, qt5-qttools-devel, qt5-qtwayland-devel
BuildRequires:  wayland-devel >= 1.3, wayland-protocols-devel, plasma-wayland-protocols-devel > 1.1

Requires:       kf5-filesystem >= %{version}



%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       qt5-qtbase-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.



%prep
%autosetup -n kwayland-%{version} -p1



%build
%cmake_kf5 \
  -DBUILD_TESTING:BOOL=OFF

%cmake_build



%install
%cmake_install



%check



%files
%license LICENSES/*.txt
%{_kf5_libdir}/libKF5WaylandClient.so.5*
%{_kf5_libdir}/libKF5WaylandServer.so.5*
%{_kf5_datadir}/qlogging-categories5/*categories
%{_libexecdir}/org-kde-kf5-kwayland-testserver

%files devel
%{_kf5_libdir}/cmake/KF5Wayland/
%{_kf5_libdir}/libKF5WaylandClient.so
%{_kf5_libdir}/libKF5WaylandServer.so
%{_kf5_libdir}/pkgconfig/KF5WaylandClient.pc
%{_kf5_includedir}/KWayland/
%{_kf5_archdatadir}/mkspecs/modules/qt_KWaylandClient.pri
%{_kf5_archdatadir}/mkspecs/modules/qt_KWaylandServer.pri



%changelog
* Tue Nov 21 2023 Zhao Zhen <jeremiazhao@tencent.com> - 5.110.0-1
- initial